LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-29-2005, 08:34 AM   #1
Ryand833
Member
 
Registered: Jan 2004
Distribution: Fedora Core 4
Posts: 31

Rep: Reputation: 15
MySQL 5.0.3 - Fedora Core 3


Well I searched for this but couldn't find anyone with my same problem.

I was trying to get MySQL installed on Fedora Core 3 and ran into a problem getting it to start automatically when the system powers on.

I followed the instructions on this page: http://dev.mysql.com/doc/mysql/en/in...ng-binary.html and have tried it several times, only to come up with the same results.

When I try to use the mysql.server script they provide to start the server automatically (by putting it in /etc/init.d and doing chkconfig --add mysql.server, I get the following error:

Code:
[******@****** init.d]$ ./mysql start
Can't execute @sbindir@/mysqlmanager                       [FAILED]
[******@****** init.d]$
The server can be started manually using the mysqld command but I'd rather get this to work than have to do that all the time.

Anybody have any ideas? Thanks in advance.
 
Old 03-29-2005, 01:37 PM   #2
jpokrzyk
LQ Newbie
 
Registered: Feb 2004
Posts: 17

Rep: Reputation: 0
Had the same problem. I did a google search found something at http://lists.mysql.com/internals/22175.

Edit the mysql.server file with the following changes. -- remove stuff ++ add stuff. Mine wasn't exactly like this but I used this to get it working. If this doesn't help let me know and I'll post/send you my mysql.server file.


ChangeSet
1.1863 05/02/19 02:22:05 petr@stripped +2 -0
merge

support-files/mysql.server.sh
1.37 05/02/19 02:22:03 petr@stripped +40 -39
revert changes

support-files/mysql.spec.sh
1.90 05/02/19 01:59:26 petr@stripped +0 -0
Auto merged

# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: petr
# Host: owlet.
# Root: /home/cps/mysql/devel/im-fix-review/RESYNC

--- 1.36/support-files/mysql.server.sh 2005-02-06 23:42:27 +03:00
+++ 1.37/support-files/mysql.server.sh 2005-02-19 02:22:03 +03:00
@@ -1,44 +1,60 @@
#!/bin/sh
-# Copyright (C) 2005 MySQL AB
+# Copyright Abandoned 1996 TCX DataKonsult AB & Monty Program KB & Detron HB
# This file is public domain and comes with NO WARRANTY of any kind

-# MySQL server management daemon start/stop script.
+# MySQL daemon start/stop script.

# Usually this is put in /etc/init.d (at least on machines SYSV R4 based
-# systems) and linked to /etc/rc3.d/S99mysqlmanager and
-# /etc/rc0.d/K01mysqlmanager
+# systems) and linked to /etc/rc3.d/S99mysql and /etc/rc0.d/K01mysql.
# When this is done the mysql server will be started when the machine is
# started and shut down when the systems goes down.

-# description: MySQL database server Instance Manager
+# Comments to support chkconfig on RedHat Linux
+# chkconfig: 2345 90 20
+# description: A very fast and reliable SQL database engine.

# Comments to support LSB init script conventions
### BEGIN INIT INFO
-# Provides: mysqlmanager
+# Provides: mysql
# Required-Start: $local_fs $network $remote_fs
# Required-Stop: $local_fs $network $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
-# Short-Description: start and stop MySQL Instance Manager
-# Description: MySQL Instance Manager is used to start/stop/status/monitor
-# MySQL server instances
+# Short-Description: start and stop MySQL
+# Description: MySQL is a very fast and reliable SQL database engine.
### END INIT INFO

+# If you install MySQL on some other places than @prefix@, then you
+# have to do one of the following things for this script to work:
+#
+# - Run this script from within the MySQL installation directory
+# - Create a /etc/my.cnf file with the following information:
+# [mysqld]
+# basedir=<path-to-mysql-installation-directory>
+# - Add the above to any other configuration file (for example ~/.my.ini)
+# and copy my_print_defaults to /usr/bin
+# - Add the path to the mysql-installation-directory to the basedir variable
+# below.
+#
+# If you want to affect other MySQL variables, you should make your changes
+# in the /etc/my.cnf, ~/.my.cnf or other MySQL configuration files.
+
+# If you change base dir, you must also change datadir
+
basedir=
+datadir=

# The following variables are only set for letting mysql.server find things.

# Set some defaults
-datadir=@localstatedir@
pid_file=
if test -z "$basedir"
then
basedir=@prefix@
bindir=@bindir@
- sbindir=@sbindir@
+ datadir=@localstatedir@
else
bindir="$basedir/bin"
- sbindir="$basedir/sbin"
fi

PATH=/sbin:/usr/sbin:/bin:/usr/bin:$basedir/bin
@@ -52,18 +68,11 @@
*) echo_n= echo_c='\c' ;;
esac

-parse_server_arguments() {
+parse_arguments() {
for arg do
case "$arg" in
--basedir=*) basedir=`echo "$arg" | sed -e 's/^[^=]*=//'` ;;
--datadir=*) datadir=`echo "$arg" | sed -e 's/^[^=]*=//'` ;;
- esac
- done
-}
-
-parse_manager_arguments() {
- for arg do
- case "$arg" in
--pid-file=*) pid_file=`echo "$arg" | sed -e 's/^[^=]*=//'` ;;
esac
done
@@ -119,16 +128,14 @@
extra_args="-e $datadir/my.cnf"
fi

-parse_server_arguments `$print_defaults $extra_args mysqld server mysql_server
mysql.server`
-
-parse_manager_arguments `$print_defaults manager`
+parse_arguments `$print_defaults $extra_args mysqld server mysql_server mysql.server`

#
# Set pid file if not given
#
if test -z "$pid_file"
then
- pid_file=$datadir/mysqlmanager-`@HOSTNAME@`.pid
+ pid_file=$datadir/`@HOSTNAME@`.pid
else
case "$pid_file" in
/* ) ;;
@@ -136,9 +143,6 @@
esac
fi

-user=@MYSQLD_USER@
-USER_OPTION="--user=$user"
-
# Safeguard (relative paths, core dumps..)
cd $basedir

@@ -146,18 +150,18 @@
'start')
# Start daemon

- if test -x $sbindir/mysqlmanager
+ if test -x $bindir/mysqld_safe
then
- # Give extra arguments to mysqlmanager with the my.cnf file. This script may
+ # Give extra arguments to mysqld with the my.cnf file. This script may
# be overwritten at next upgrade.
- $sbindir/mysqlmanager "--pid-file=$pid_file" $USER_OPTION --run-as-service
>/dev/null 2>&1 &
+ $bindir/mysqld_safe --datadir=$datadir --pid-file=$pid_file >/dev/null
2>&1 &
# Make lock for RedHat / SuSE
if test -w /var/lock/subsys
then
- touch /var/lock/subsys/mysqlmanager
+ touch /var/lock/subsys/mysql
fi
else
- echo "Can't execute $sbindir/mysqlmanager from dir $basedir"
+ echo "Can't execute $bindir/mysqld_safe from dir $basedir"
fi
;;

@@ -166,15 +170,15 @@
# root password.
if test -s "$pid_file"
then
- mysqlmanager_pid=`cat $pid_file`
- echo "Killing mysqlmanager with pid $mysqlmanager_pid"
- kill $mysqlmanager_pid
- # mysqlmanager should remove the pid_file when it exits, so wait for it.
+ mysqld_pid=`cat $pid_file`
+ echo "Killing mysqld with pid $mysqld_pid"
+ kill $mysqld_pid
+ # mysqld should remove the pid_file when it exits, so wait for it.

sleep 1
while [ -s $pid_file -a "$flags" != aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa ]
do
- [ -z "$flags" ] && echo $echo_n "Wait for mysqlmanager to exit$echo_c" || echo
$echo_n ".$echo_c"
+ [ -z "$flags" ] && echo $echo_n "Wait for mysqld to exit$echo_c" || echo $echo_n
".$echo_c"
flags=a$flags
sleep 1
done
@@ -184,12 +188,12 @@
then echo " done"
fi
# delete lock for RedHat / SuSE
- if test -f /var/lock/subsys/mysqlmanager
+ if test -f /var/lock/subsys/mysql
then
- rm -f /var/lock/subsys/mysqlmanager
+ rm -f /var/lock/subsys/mysql
fi
else
- echo "No mysqlmanager pid file found. Looked for $pid_file."
+ echo "No mysqld pid file found. Looked for $pid_file."
fi
;;


--- 1.89/support-files/mysql.spec.sh 2005-02-15 17:34:24 +03:00
+++ 1.90/support-files/mysql.spec.sh 2005-02-19 01:59:26 +03:00
@@ -277,7 +277,6 @@
--includedir=%{_includedir} \
--mandir=%{_mandir} \
--enable-thread-safe-client \
- --with-comment=\"Official MySQL RPM\" \
--with-readline ;
# Add this for more debugging support
# --with-debug
@@ -335,6 +334,7 @@
--with-example-storage-engine \
--with-federated-storage-engine \
--with-embedded-server \
+ --with-comment=\"MySQL Community Edition - Max (GPL)\" \
--with-server-suffix='-Max'"

# Save everything for debug
@@ -381,6 +381,7 @@
--with-client-ldflags='-all-static' \
$USE_OTHER_LIBC_DIR \
%endif
+ --with-comment=\"MySQL Community Edition - Standard (GPL)\" \
--with-server-suffix='%{server_suffix}' \
--without-embedded-server \
--without-berkeley-db \
@@ -686,7 +687,12 @@
# itself - note that they must be ordered by date (important when
# merging BK trees)
%changelog
-* Monday Feb 7 2005 Tomas Ulin <tomas@stripped>
+* Mon Feb 14 2005 Lenz Grimmer <lenz@stripped>
+
+* Fixed the compilation comments and moved them into the separate build sections
+ for Max and Standard
+
+* Mon Feb 7 2005 Tomas Ulin <tomas@stripped>

- enabled the "Ndbcluster" storage engine for the max binary
- added extra make install in ndb subdir afte
 
Old 03-30-2005, 07:34 AM   #3
Ryand833
Member
 
Registered: Jan 2004
Distribution: Fedora Core 4
Posts: 31

Original Poster
Rep: Reputation: 15
Thanks for the info, but won't be able to try it for a few more days... Turns out the CPU fan in my linux computer was never working and it overheated yesterday
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
mysql in fedora core 2 jkmartha Linux - Software 1 05-02-2005 03:00 PM
Fedora Core 3, MySql Server, mysql started mysql ended OkiTek Fedora 30 01-28-2005 09:15 AM
MySQL in Fedora Core 2 hokagi_ninja Linux - Newbie 8 11-10-2004 09:51 PM
mysql fedora core 2 BeatRyder Linux - Software 9 10-30-2004 10:19 AM
MySQL in Fedora Core 2 hokagi_ninja Linux - Newbie 1 10-26-2004 06:56 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:44 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration